import request from '@/utils/request'

// 查询评价列表
export function listEvaluation(query) {
  return request({
    url: '/biz/evaluation/list',
    method: 'get',
    params: query
  })
}

// 查询评价详细
export function getEvaluation(id) {
  return request({
    url: '/biz/evaluation/' + id,
    method: 'get'
  })
}

// 新增评价
export function addEvaluation(data) {
  return request({
    url: '/biz/evaluation',
    method: 'post',
    data: data
  })
}

// 修改评价
export function updateEvaluation(data) {
  return request({
    url: '/biz/evaluation',
    method: 'put',
    data: data
  })
}

// 删除评价
export function delEvaluation(id) {
  return request({
    url: '/biz/evaluation/' + id,
    method: 'delete'
  })
}
//实现下拉框选择
export function getall() {
  return request({
    url: '/biz/component/all',
    method: 'get'
  })
}

export function get_top10(){
  return request({
    url: '/biz/evaluation/get_top10',
    method: 'get'
  })
}



